Data Fields
app_context_t Struct Reference

## Data Fields
acc_ref_app_smart_presence_config_t * | app_config
acc_detector_presence_config_t * | current_presence_config
uint32_t | current_num_zones
smart_presence_mode_t | current_mode
presence_detector_context_t | wakeup_context
presence_detector_context_t | nominal_context
presence_detector_context_t * | current_context
acc_sensor_t * | sensor
void * | buffer
acc_cal_result_t | sensor_cal_result
float * | zone_limits
float * | distances
uint32_t | num_distances
uint32_t | delay_count
uint32_t | max_zone_time_n
uint32_t | max_switch_delay_n
uint32_t * | wakeup_detections
acc_smart_presence_zone_result_t * | zone_results
uint32_t | measure_timeout_ms
acc_ref_app_tank_level_config_t * | app_config
float * | level_history
uint16_t | level_history_length
float * | median_vector
uint16_t | median_vector_length
uint16_t | median_counter
uint16_t | mean_counter
uint16_t | median_edge_status_count
uint16_t | mean_edge_status_count
acc_detector_distance_handle_t * | detector_handle
uint32_t | buffer_size
uint8_t * | detector_cal_result_static
uint32_t | detector_cal_result_static_size
acc_detector_cal_result_dynamic_t | detector_cal_result_dynamic

## Detailed Description

Examples
  ref_app_tank_level.c.

Definition at line 143 of file ref_app_smart_presence.c.

## Field Documentation

## ◆ app_config [1/2]

acc_ref_app_tank_level_config_t* app_context_t::app_config

Definition at line 128 of file ref_app_tank_level.c.

## ◆ app_config [2/2]

acc_ref_app_smart_presence_config_t* app_context_t::app_config

Examples
  ref_app_tank_level.c.

Definition at line 145 of file ref_app_smart_presence.c.

## ◆ buffer

void * app_context_t::buffer

Examples
  ref_app_tank_level.c.

Definition at line 153 of file ref_app_smart_presence.c.

## ◆ buffer_size

uint32_t app_context_t::buffer_size

Examples
  ref_app_tank_level.c.

Definition at line 140 of file ref_app_tank_level.c.

## ◆ current_context

presence_detector_context_t* app_context_t::current_context

Definition at line 151 of file ref_app_smart_presence.c.

## ◆ current_mode

smart_presence_mode_t app_context_t::current_mode

Definition at line 148 of file ref_app_smart_presence.c.

## ◆ current_num_zones

uint32_t app_context_t::current_num_zones

Definition at line 147 of file ref_app_smart_presence.c.

## ◆ current_presence_config

acc_detector_presence_config_t* app_context_t::current_presence_config

Definition at line 146 of file ref_app_smart_presence.c.

## ◆ delay_count

uint32_t app_context_t::delay_count

Definition at line 158 of file ref_app_smart_presence.c.

## ◆ detector_cal_result_dynamic

acc_detector_cal_result_dynamic_t app_context_t::detector_cal_result_dynamic

Examples
  ref_app_tank_level.c.

Definition at line 143 of file ref_app_tank_level.c.

## ◆ detector_cal_result_static

uint8_t* app_context_t::detector_cal_result_static

Examples
  ref_app_tank_level.c.

Definition at line 141 of file ref_app_tank_level.c.

## ◆ detector_cal_result_static_size

uint32_t app_context_t::detector_cal_result_static_size

Examples
  ref_app_tank_level.c.

Definition at line 142 of file ref_app_tank_level.c.

## ◆ detector_handle

acc_detector_distance_handle_t* app_context_t::detector_handle

Examples
  ref_app_tank_level.c.

Definition at line 138 of file ref_app_tank_level.c.

## ◆ distances

float* app_context_t::distances

Definition at line 156 of file ref_app_smart_presence.c.

## ◆ level_history

float* app_context_t::level_history

Examples
  ref_app_tank_level.c.

Definition at line 130 of file ref_app_tank_level.c.

## ◆ level_history_length

uint16_t app_context_t::level_history_length

Examples
  ref_app_tank_level.c.

Definition at line 131 of file ref_app_tank_level.c.

## ◆ max_switch_delay_n

uint32_t app_context_t::max_switch_delay_n

Definition at line 160 of file ref_app_smart_presence.c.

## ◆ max_zone_time_n

uint32_t app_context_t::max_zone_time_n

Definition at line 159 of file ref_app_smart_presence.c.

## ◆ mean_counter

uint16_t app_context_t::mean_counter

Examples
  ref_app_tank_level.c.

Definition at line 135 of file ref_app_tank_level.c.

## ◆ mean_edge_status_count

uint16_t app_context_t::mean_edge_status_count

Examples
  ref_app_tank_level.c.

Definition at line 137 of file ref_app_tank_level.c.

## ◆ measure_timeout_ms

uint32_t app_context_t::measure_timeout_ms

Definition at line 163 of file ref_app_smart_presence.c.

## ◆ median_counter

uint16_t app_context_t::median_counter

Examples
  ref_app_tank_level.c.

Definition at line 134 of file ref_app_tank_level.c.

## ◆ median_edge_status_count

uint16_t app_context_t::median_edge_status_count

Examples
  ref_app_tank_level.c.

Definition at line 136 of file ref_app_tank_level.c.

## ◆ median_vector

float* app_context_t::median_vector

Examples
  ref_app_tank_level.c.

Definition at line 132 of file ref_app_tank_level.c.

## ◆ median_vector_length

uint16_t app_context_t::median_vector_length

Examples
  ref_app_tank_level.c.

Definition at line 133 of file ref_app_tank_level.c.

## ◆ nominal_context

presence_detector_context_t app_context_t::nominal_context

Definition at line 150 of file ref_app_smart_presence.c.

## ◆ num_distances

uint32_t app_context_t::num_distances

Definition at line 157 of file ref_app_smart_presence.c.

## ◆ sensor

acc_sensor_t * app_context_t::sensor

Examples
  ref_app_tank_level.c.

Definition at line 152 of file ref_app_smart_presence.c.

## ◆ sensor_cal_result

acc_cal_result_t app_context_t::sensor_cal_result

Definition at line 154 of file ref_app_smart_presence.c.

## ◆ wakeup_context

presence_detector_context_t app_context_t::wakeup_context

Definition at line 149 of file ref_app_smart_presence.c.

## ◆ wakeup_detections

uint32_t* app_context_t::wakeup_detections

Definition at line 161 of file ref_app_smart_presence.c.

## ◆ zone_limits

float* app_context_t::zone_limits

Definition at line 155 of file ref_app_smart_presence.c.

## ◆ zone_results

acc_smart_presence_zone_result_t* app_context_t::zone_results

Definition at line 162 of file ref_app_smart_presence.c.

The documentation for this struct was generated from the following files:

- Src/use_cases/reference_apps/ref_app_smart_presence.c
- Src/use_cases/reference_apps/ref_app_tank_level.c